Debian Bug report logs - #403619
RFP: languagetool -- rule-based language checker

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Mon, 18 Dec 2006 14:18:02 UTC

Severity: wishlist

Blocking fix for 636625: RFP: omegat-plugin-languagetool -- languagetool plugin for OmegaT

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#403619; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: RFP: languagetool -- rule-based language checker
Date: Mon, 18 Dec 2006 14:53:31 +0100
Package: wnpp
Severity: wishlist

Package name: languagetool
Version: 0.8.6
Upstream Author: Daniel Naber (naber at danielnaber de)
URL: http://www.danielnaber.de/languagetool
License: Mostly LGPL, also some BSD, Creative Commons Attribution ShareAlike 2.0
Description: A rule-based language checker

This is a rule-based language checker for which a rule is defined.
It can detect errors that a simple spell checker cannot detect e.g.
mixing up there/their, no/now etc. It can also detect a limited
amount of grammar mistakes.

It currently has support for English, German, Polish, and Dutch, and
limited support for French, Spanish, and Italian.

It can be used standalone, as plugin for openoffice.org, with LyX,
in java applications and as standalone web server.


I think this would be a useful thing to have in Debian, since we
currently don't seem to have something simular.  But I have no
intention to package this myself.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#403619; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 403619@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>, 403619@bugs.debian.org
Subject: Re: Bug#403619: RFP: languagetool -- rule-based language checker
Date: Mon, 18 Dec 2006 15:42:20 +0100
Hi,

Am Montag, 18. Dezember 2006 14:53 schrieb Kurt Roeckx:
> Package name: languagetool
> Version: 0.8.6
> Upstream Author: Daniel Naber (naber at danielnaber de)
> URL: http://www.danielnaber.de/languagetool
> License: Mostly LGPL, also some BSD, Creative Commons Attribution ShareAlike 2.0
                                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
					isn't that non-free?

> Description: A rule-based language checker
> 
> This is a rule-based language checker for which a rule is defined.
> It can detect errors that a simple spell checker cannot detect e.g.
> mixing up there/their, no/now etc. It can also detect a limited
> amount of grammar mistakes.
> 
> It currently has support for English, German, Polish, and Dutch, and
> limited support for French, Spanish, and Italian.
> 
> It can be used standalone, as plugin for openoffice.org, with LyX,
> in java applications and as standalone web server.

Doesn't build with free Java. ("requires Java 1.5 or later")

> I think this would be a useful thing to have in Debian, since we
> currently don't seem to have something simular.  But I have no
> intention to package this myself.

I looked at it once, and might try it again when we have the free Java stack
here. (Only possible, though when we have the compiler and the JVM I guess)

Regards,

Rene
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#403619; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 403619@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Rene Engelhard <rene@debian.org>
Cc: 403619@bugs.debian.org
Subject: Re: Bug#403619: RFP: languagetool -- rule-based language checker
Date: Mon, 18 Dec 2006 16:00:55 +0100
On Mon, Dec 18, 2006 at 03:42:20PM +0100, Rene Engelhard wrote:
> Hi,
> 
> Am Montag, 18. Dezember 2006 14:53 schrieb Kurt Roeckx:
> > Package name: languagetool
> > Version: 0.8.6
> > Upstream Author: Daniel Naber (naber at danielnaber de)
> > URL: http://www.danielnaber.de/languagetool
> > License: Mostly LGPL, also some BSD, Creative Commons Attribution ShareAlike 2.0
>                                        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> 					isn't that non-free?

I have no idea, but I think so.  Afaik, this is only for one of the
languages that are supported, and could probably be removed without
much problems.  In any case, it would be a good idea to
do a full audit of the licenses before uploading.

> > It can be used standalone, as plugin for openoffice.org, with LyX,
> > in java applications and as standalone web server.
> 
> Doesn't build with free Java. ("requires Java 1.5 or later")

I did see that, and I have no idea if it works with anything in main or
not.  Maybe it has to go to contrib on non-free for now.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#403619; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 403619@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 403619@bugs.debian.org
Subject: Re: Bug#403619: RFP: languagetool -- rule-based language checker
Date: Mon, 18 Dec 2006 18:02:52 +0100
Quoting Kurt Roeckx (kurt@roeckx.be):
> Package: wnpp
> Severity: wishlist
> 
> Package name: languagetool
> Version: 0.8.6
> Upstream Author: Daniel Naber (naber at danielnaber de)
> URL: http://www.danielnaber.de/languagetool
> License: Mostly LGPL, also some BSD, Creative Commons Attribution ShareAlike 2.0
> Description: A rule-based language checker

I think you should removed the leading article (lintian will warn
about it)

> 
> This is a rule-based language checker for which a rule is defined.
> It can detect errors that a simple spell checker cannot detect e.g.
> mixing up there/their, no/now etc. It can also detect a limited
> amount of grammar mistakes.
> 
> It currently has support for English, German, Polish, and Dutch, and
> limited support for French, Spanish, and Italian.

Experience shows that detailed features for evolutive stuff are not
always well maintained....so I'm wondering whether listing the
explicitely supported languages is a good idea.




Aprat from all this, I think this is something we could widely benefit
in Debian and I would even vote for a freeze exception if I had a
chance to be listened by the release managers (having such a tool in
stable would help us with the i18n server and probably could be used
byt the D-I "spellchecker" as well....both running on stable machines.

But I'm afraid it's a little bit too late..:)





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#403619; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 403619@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>, 403619@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#403619: RFP: languagetool -- rule-based language checker
Date: Fri, 22 Dec 2006 16:45:57 +0100
retitle 403619 ITP: languagetool -- rule-based language checker
owner 403619 Rene Engelhard <rene@debian.org>
thanks

Hi,

Am Montag, 18. Dezember 2006 14:53 schrieb Kurt Roeckx:
> Package name: languagetool
> Version: 0.8.6
> Upstream Author: Daniel Naber (naber at danielnaber de)
> URL: http://www.danielnaber.de/languagetool
> License: Mostly LGPL, also some BSD, Creative Commons Attribution ShareAlike 2.0
> Description: A rule-based language checker
[...]
> I think this would be a useful thing to have in Debian, since we
> currently don't seem to have something simular.  But I have no
> intention to package this myself.

Working on it.

Regards,

Rene
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73



Changed Bug title. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Rene Engelhard <rene@debian.org>. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Engelhard <rene@debian.org>:
Bug#403619; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Jason Spiro" <jasonspiro4@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Engelhard <rene@debian.org>. Full text and rfc822 format available.

Message #34 received at 403619@bugs.debian.org (full text, mbox):

From: "Jason Spiro" <jasonspiro4@gmail.com>
To: sslmitdevonline@sslmit.unibo.it
Cc: 403619@bugs.debian.org
Subject: could you please dual-license Morph-it under both CC and GNU LGPL
Date: Wed, 7 Mar 2007 17:26:13 -0500
Hi Marco and Eros,

Thanks for releasing Morph-it under an open content license.  Is it
possible you could kindly dual-license it under both Creative Commons
and the GNU Lesser General Public License (LGPL) (so it'll be ok to
use either under the terms of either license)?  That way, once
LanguageTool is packaged for Debian Linux (see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=403619 for progress)
it can include Italian support.  (Due to complicated legal points,
Debian cannot currently accept CC-SA 2.0 software.)

Regards,
Jason Spiro
Toronto, Canada

-- 
Jason Spiro: computer consulting with a smile.
I also provide training and spyware removal services for homes and businesses.
Call or email for a FREE 5-minute consultation. Satisfaction guaranteed.
+1 (416) 781-5938 / Email: info@jspiro.com / MSN: jasonspiro@hotmail.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Engelhard <rene@debian.org>:
Bug#403619; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Jason Spiro" <jasonspiro4@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Engelhard <rene@debian.org>. Full text and rfc822 format available.

Message #39 received at 403619@bugs.debian.org (full text, mbox):

From: "Jason Spiro" <jasonspiro4@gmail.com>
To: "Christian Perrier" <bubulle@debian.org>
Cc: 403619@bugs.debian.org
Subject: Re: Bug#403619: RFP: languagetool -- rule-based language checker
Date: Wed, 7 Mar 2007 17:34:57 -0500
At http://bugs.debian.org/403619 Christian Perrier <bubulle@debian.org> wrote:
> > Description: A rule-based language checker
...
> > It currently has support for English, German, Polish, and Dutch, and
> > limited support for French, Spanish, and Italian.
>
> Experience shows that detailed features for evolutive stuff are not
> always well maintained....so I'm wondering whether listing the
> explicitely supported languages is a good idea.

How about writing it like this then?

As of September 2006, it supported for English, German, Polish, and
Dutch, and had limited support for French, Spanish, and Italian.

-- 
Jason Spiro: computer consulting with a smile.
I also provide training and spyware removal services for homes and businesses.
Call or email for a FREE 5-minute consultation. Satisfaction guaranteed.
+1 (416) 781-5938 / Email: info@jspiro.com / MSN: jasonspiro@hotmail.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Engelhard <rene@debian.org>:
Bug#403619; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Eros Zanchetta <eros@sslmit.unibo.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Engelhard <rene@debian.org>. Full text and rfc822 format available.

Message #44 received at 403619@bugs.debian.org (full text, mbox):

From: Eros Zanchetta <eros@sslmit.unibo.it>
To: Jason Spiro <jasonspiro4@gmail.com>
Cc: sslmitdevonline@sslmit.unibo.it, 403619@bugs.debian.org
Subject: Re: could you please dual-license Morph-it under both CC and GNU LGPL
Date: Thu, 08 Mar 2007 00:51:34 +0100
Jason Spiro wrote:
> Is it possible you could kindly dual-license it under both Creative 
> Commons
> and the GNU Lesser General Public License (LGPL) (so it'll be ok to
> use either under the terms of either license)? 

OK, done. We released a new version (0.47) which is now dual-licensed.

Cheers,
Eros & Marco



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Engelhard <rene@debian.org>:
Bug#403619; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Jason Spiro" <jasonspiro4@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Engelhard <rene@debian.org>. Full text and rfc822 format available.

Message #49 received at 403619@bugs.debian.org (full text, mbox):

From: "Jason Spiro" <jasonspiro4@gmail.com>
To: naber@danielnaber.de
Cc: 403619@bugs.debian.org
Subject: Morph-it now LGPLed; Morphy license
Date: Wed, 7 Mar 2007 19:45:16 -0500
Hi,

The Italian morph data (Morph-it) is now also available under the
LGPL.  See below.  Please consider adopting the new version for your
next LanguageTool release, which Debian will eventually make packages
of that will get into Debian and Ubuntu.

Also:  What is the Morphy license?  I can't read German.

Cheers,
Jason Spiro

---------- Forwarded message ----------
From: Eros Zanchetta <eros@sslmit.unibo.it>
Date: 7 mars 2007 18:51
Subject: Re: could you please dual-license Morph-it under both CC and GNU LGPL
To: Jason Spiro <jasonspiro4@gmail.com>
Cc: sslmitdevonline@sslmit.unibo.it, 403619@bugs.debian.org


Jason Spiro wrote:
> Is it possible you could kindly dual-license it under both Creative
> Commons
> and the GNU Lesser General Public License (LGPL) (so it'll be ok to
> use either under the terms of either license)?

OK, done. We released a new version (0.47) which is now dual-licensed.

Cheers,
Eros & Marco


-- 
Jason Spiro: computer consulting with a smile.
I also provide training and spyware removal services for homes and businesses.
Call or email for a FREE 5-minute consultation. Satisfaction guaranteed.
+1 (416) 781-5938 / Email: info@jspiro.com / MSN: jasonspiro@hotmail.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Engelhard <rene@debian.org>:
Bug#403619; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Engelhard <rene@debian.org>. Full text and rfc822 format available.

Message #54 received at 403619@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Jason Spiro <jasonspiro4@gmail.com>
Cc: 403619@bugs.debian.org
Subject: Re: Bug#403619: RFP: languagetool -- rule-based language checker
Date: Thu, 8 Mar 2007 07:11:40 +0100
[Message part 1 (text/plain, inline)]
> >Experience shows that detailed features for evolutive stuff are not
> >always well maintained....so I'm wondering whether listing the
> >explicitely supported languages is a good idea.
> 
> How about writing it like this then?
> 
> As of September 2006, it supported for English, German, Polish, and
> Dutch, and had limited support for French, Spanish, and Italian.


Sounds better even though one can imagine that it may look silly in 1
or 2 years when the support for French will obviously be compelte and
perfect..:)

I really suggest to keep package descriptions as independent on the
context as possible in order to avoid contant further changes (they
are translatable even though not everything is currently in place to
allow for their translation yet).

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Engelhard <rene@debian.org>:
Bug#403619; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Jason Spiro" <jasonspiro4@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Engelhard <rene@debian.org>. Full text and rfc822 format available.

Message #59 received at 403619@bugs.debian.org (full text, mbox):

From: "Jason Spiro" <jasonspiro4@gmail.com>
To: "Daniel Naber" <naber@danielnaber.de>
Cc: "Marcin Miłkowski" <marcin_milkowski@web.de>, 403619@bugs.debian.org
Subject: Re: Morph-it now LGPLed; Morphy license
Date: Mon, 12 Mar 2007 01:36:00 -0400
2007/3/8, Daniel Naber <naber@danielnaber.de> wrote:
> On Thursday 08 March 2007 01:45, you wrote:
>
> > Also: What is the Morphy license? I can't read German.
>
> Hi Jason,
>
> thanks for your mail. I don't speak Italian but I have forwarded your mail
> to Marcin Milkowski who added the initial support for Italian in
> LanguageTool.

OK.  Note:  I bet the new version is exactly the same as the old
version one minor revision below it, just with new license terms.  If
you're using the last version, all you would have to do is plug in the
new version and update the README.  Or I can get permission for you to
redistribute your old version under the LGPL:  I am sure upstream will
agree, they've been very responsive so far.  Please let me know if
this is what you want.

> About the Morphy license: it's not a standard Open Source license but just
> a text that says it's okay to use it in commercial software and that a
> link would be nice (but isn't required).

OK.  They are academics so I will contact them using the form at
http://www.wolfganglezius.de/kontaktformular/ and ask them if they
will LGPL the work.

-- 
Jason Spiro: computer consulting with a smile.
I also provide training and spyware removal services for homes and businesses.
Call or email for a FREE 5-minute consultation. Satisfaction guaranteed.
+1 (416) 781-5938 / Email: info@jspiro.com / MSN: jasonspiro@hotmail.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Engelhard <rene@debian.org>:
Bug#403619; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcin Miłkowski <marcin_milkowski@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Engelhard <rene@debian.org>. Full text and rfc822 format available.

Message #64 received at 403619@bugs.debian.org (full text, mbox):

From: Marcin Miłkowski <marcin_milkowski@web.de>
To: Jason Spiro <jasonspiro4@gmail.com>
Cc: Daniel Naber <naber@danielnaber.de>, 403619@bugs.debian.org
Subject: Re: Morph-it now LGPLed; Morphy license
Date: Mon, 12 Mar 2007 10:05:39 +0100
Hi Jason,

> 
> OK.  Note:  I bet the new version is exactly the same as the old
> version one minor revision below it, just with new license terms.  

Sorry, you've lost your bet ;)

I rebuilt the dictionary in the weekend - and it contains several 
thousand changes compared to 0.4.3.

In general, it's not a problem for me to rebuilt binary dictionaries. I 
didn't upload the new binary to my "internal distribution server" just 
because I was checking various options that would make dictionaries more 
compact.

Regards,
Marcin




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Engelhard <rene@debian.org>:
Bug#403619; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Engelhard <rene@debian.org>. Full text and rfc822 format available.

Message #69 received at 403619@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Rene Engelhard <rene@debian.org>
Cc: 403619@bugs.debian.org
Subject: Re: Bug#403619: RFP: languagetool -- rule-based language checker
Date: Sat, 29 Dec 2007 23:35:16 +0100
On Fri, Dec 22, 2006 at 04:45:57PM +0100, Rene Engelhard wrote:
> retitle 403619 ITP: languagetool -- rule-based language checker
> owner 403619 Rene Engelhard <rene@debian.org>
> thanks
> 
> Hi,
> 
> Am Montag, 18. Dezember 2006 14:53 schrieb Kurt Roeckx:
> > Package name: languagetool
> > Version: 0.8.6
> > Upstream Author: Daniel Naber (naber at danielnaber de)
> > URL: http://www.danielnaber.de/languagetool
> > License: Mostly LGPL, also some BSD, Creative Commons Attribution ShareAlike 2.0
> > Description: A rule-based language checker
> [...]
> > I think this would be a useful thing to have in Debian, since we
> > currently don't seem to have something simular.  But I have no
> > intention to package this myself.
> 
> Working on it.

Any progress?


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Engelhard <rene@debian.org>:
Bug#403619; Package wnpp. (Fri, 19 Jun 2009 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rail Aliev <rail@i-rs.ru>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Engelhard <rene@debian.org>. (Fri, 19 Jun 2009 18:48:03 GMT) Full text and rfc822 format available.

Message #74 received at 403619@bugs.debian.org (full text, mbox):

From: Rail Aliev <rail@i-rs.ru>
To: Rene Engelhard <rene@debian.org>
Cc: 403619@bugs.debian.org, 403619-subscribe@bugs.debian.org
Subject: Help with packaging of languagetool
Date: Fri, 19 Jun 2009 22:42:26 +0400
Rene,

I would like to offer my help with packaging of languagetool.

Do you have any initial packaging tree or should I start from scratch?

-- 
Best regars,
Rail Aliev




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#403619; Package wnpp. (Fri, 19 Jun 2009 19:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 19 Jun 2009 19:48:05 GMT) Full text and rfc822 format available.

Message #79 received at 403619@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Rail Aliev <rail@i-rs.ru>
Cc: 403619@bugs.debian.org, 403619-subscribe@bugs.debian.org
Subject: Re: Help with packaging of languagetool
Date: Fri, 19 Jun 2009 21:43:10 +0200
Hi,

Rail Aliev wrote:
> I would like to offer my help with packaging of languagetool.

Nice. Want to package it completely?

> Do you have any initial packaging tree or should I start from scratch?

I once had, and abandoned it. Too much problems and no time to pursue them.
Actually, maybe I shoudl have retitled the bug as I was not working on it for
quite a long time.

E.g. there were dictionaries either not in the source and/or not buildable.
Then you need to package all the libs it needs.

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Engelhard <rene@debian.org>:
Bug#403619; Package wnpp. (Fri, 19 Jun 2009 20:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rail Aliev <rail@i-rs.ru>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Engelhard <rene@debian.org>. (Fri, 19 Jun 2009 20:15:02 GMT) Full text and rfc822 format available.

Message #84 received at 403619@bugs.debian.org (full text, mbox):

From: Rail Aliev <rail@i-rs.ru>
To: Rene Engelhard <rene@debian.org>
Cc: 403619@bugs.debian.org
Subject: Re: Help with packaging of languagetool
Date: Sat, 20 Jun 2009 00:12:51 +0400
>>>>> "RE" == Rene Engelhard <rene@debian.org> writes:

  RE> Hi,
  RE> Rail Aliev wrote:
  >> I would like to offer my help with packaging of languagetool.

  RE> Nice. Want to package it completely?

Yes.

  >> Do you have any initial packaging tree or should I start from scratch?

  RE> I once had, and abandoned it. Too much problems and no time to pursue them.
  RE> Actually, maybe I shoudl have retitled the bug as I was not working on it for
  RE> quite a long time.

  RE> E.g. there were dictionaries either not in the source and/or not buildable.
  RE> Then you need to package all the libs it needs.

Yes. Seems like this package needs a lot of work to be in DFSG. I need some
time (days) to investigate if all of the libraries are OK for Debian and
package them.

-- 
Best regars,
Rail Aliev




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Engelhard <rene@debian.org>:
Bug#403619; Package wnpp. (Sun, 21 Jun 2009 10:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rail Aliev <rail@i-rs.ru>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Engelhard <rene@debian.org>. (Sun, 21 Jun 2009 10:39:05 GMT) Full text and rfc822 format available.

Message #89 received at 403619@bugs.debian.org (full text, mbox):

From: Rail Aliev <rail@i-rs.ru>
To: Rene Engelhard <rene@debian.org>
Cc: 403619@bugs.debian.org
Subject: Re: Help with packaging of languagetool
Date: Sun, 21 Jun 2009 13:50:22 +0400
>>>>> "RE" == Rene Engelhard <rene@debian.org> writes:

  RE> Then you need to package all the libs it needs.

Here is the current status. LT 0.9.9 requires the following packaging
effort:

1. jWordSplitter. ITP: Bug#533743. Problems: no upstream source tarball
(need to use get-orig-source from CVS, no debian/watch). Initial
packaging is done (using bzr-builddeb):
Vcs-Bzr: http://bzr.debian.org/users/rail-guest/jwordsplitter/
Vcs-Browser: http://bzr.debian.org/loggerhead/users/rail-guest/jwordsplitter

2. stempel. ITP: Bug#533879. Initial packaging is done (using
bzr-builddeb):
Vcs-Bzr: http://bzr.debian.org/users/rail-guest/stempel/
Vcs-Browser: http://bzr.debian.org/loggerhead/users/rail-guest/stempel

3. morfologik-stemming. ITP: Bug#533882. Problems: no upstream source
tarball (get-orig-source from SVN), need to use older version (the
current is not compatible with LT 0.9.9 as the author said). Initial
packaging is done (using bzr-builddeb):
Vcs-Bzr: http://bzr.debian.org/users/rail-guest/morfologik-stemming/
Vcs-Browser: http://bzr.debian.org/loggerhead/users/rail-guest/morfologik-stemming

4. jaminid. ITP: Bug#533883. Problems: no license inside the SVN, reported
to the author (get-orig-source copies LGPL (as mentioned on the
homepage) to the tarball). Initial packaging is done (using bzr-builddeb):
Vcs-Bzr: http://bzr.debian.org/users/rail-guest/jaminid/
Vcs-Browser: http://bzr.debian.org/loggerhead/users/rail-guest/jaminid

5. segment and loomchild-util. No upstream tarball (reported). These 2
packages will be merged into single one by the author. To be packaged.

As soon as segment library is merged, released and packaged, I can start
LT packaging.

-- 
Best regars,
Rail Aliev




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#403619; Package wnpp. (Sun, 21 Jun 2009 22:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 21 Jun 2009 22:18:02 GMT) Full text and rfc822 format available.

Message #94 received at 403619@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Rail Aliev <rail@i-rs.ru>, 403619@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Help with packaging of languagetool
Date: Mon, 22 Jun 2009 00:17:00 +0200
owner 403619 Rail Aliev <rail@i-rs.ru>
block 403619 by 533743
block 403619 by 533879
block 403619 by 533882
block 403619 by 533883
thanks

Hi,

Rail Aliev wrote:
> >>>>> "RE" == Rene Engelhard <rene@debian.org> writes:
> 
>   RE> Then you need to package all the libs it needs.
> 
> Here is the current status. LT 0.9.9 requires the following packaging
> effort:
> 
> 1. jWordSplitter. ITP: Bug#533743. Problems: no upstream source tarball
> (need to use get-orig-source from CVS, no debian/watch). Initial
> packaging is done (using bzr-builddeb):
> Vcs-Bzr: http://bzr.debian.org/users/rail-guest/jwordsplitter/
> Vcs-Browser: http://bzr.debian.org/loggerhead/users/rail-guest/jwordsplitter
> 
> 2. stempel. ITP: Bug#533879. Initial packaging is done (using
> bzr-builddeb):
> Vcs-Bzr: http://bzr.debian.org/users/rail-guest/stempel/
> Vcs-Browser: http://bzr.debian.org/loggerhead/users/rail-guest/stempel
> 
> 3. morfologik-stemming. ITP: Bug#533882. Problems: no upstream source
> tarball (get-orig-source from SVN), need to use older version (the
> current is not compatible with LT 0.9.9 as the author said). Initial
> packaging is done (using bzr-builddeb):
> Vcs-Bzr: http://bzr.debian.org/users/rail-guest/morfologik-stemming/
> Vcs-Browser: http://bzr.debian.org/loggerhead/users/rail-guest/morfologik-stemming
> 
> 4. jaminid. ITP: Bug#533883. Problems: no license inside the SVN, reported
> to the author (get-orig-source copies LGPL (as mentioned on the
> homepage) to the tarball). Initial packaging is done (using bzr-builddeb):
> Vcs-Bzr: http://bzr.debian.org/users/rail-guest/jaminid/
> Vcs-Browser: http://bzr.debian.org/loggerhead/users/rail-guest/jaminid
> 
> 5. segment and loomchild-util. No upstream tarball (reported). These 2
> packages will be merged into single one by the author. To be packaged.
> 
> As soon as segment library is merged, released and packaged, I can start
> LT packaging.

Thanks for your efforts. I changed the bug status to reflect it.

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Owner changed from Rene Engelhard <rene@debian.org> to Rail Aliev <rail@i-rs.ru>. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Sun, 21 Jun 2009 22:18:12 GMT) Full text and rfc822 format available.

Blocking bugs of 403619 added: 533743 Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Sun, 21 Jun 2009 22:18:12 GMT) Full text and rfc822 format available.

Blocking bugs of 403619 added: 533879 Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Sun, 21 Jun 2009 22:18:13 GMT) Full text and rfc822 format available.

Blocking bugs of 403619 added: 533882 Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Sun, 21 Jun 2009 22:18:14 GMT) Full text and rfc822 format available.

Blocking bugs of 403619 added: 533883 Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Sun, 21 Jun 2009 22:18:15 GMT) Full text and rfc822 format available.

Blocking bugs of 403619 added: 533883 Request was from Rail Aliev <rail@i-rs.ru> to control@bugs.debian.org. (Sun, 21 Jun 2009 23:00:02 GMT) Full text and rfc822 format available.

Blocking bugs of 403619 added: 534048 Request was from Rail Aliev <rail@i-rs.ru> to control@bugs.debian.org. (Sun, 21 Jun 2009 23:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#403619; Package wnpp. (Sun, 21 Jun 2009 23:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rail Aliev <rail@i-rs.ru>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 21 Jun 2009 23:48:02 GMT) Full text and rfc822 format available.

Message #113 received at 403619@bugs.debian.org (full text, mbox):

From: Rail Aliev <rail@i-rs.ru>
To: Rene Engelhard <rene@debian.org>
Cc: 403619@bugs.debian.org
Subject: Re: ITP: languagetool -- rule-based language checker
Date: Mon, 22 Jun 2009 03:44:33 +0400
Rene, all.

Currently I use "openoffice.org-languagetool" for binary package
name. Is this name suitable or should I use plain "languagetool"?

-- 
Best regars,
Rail Aliev




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rail Aliev <rail@i-rs.ru>:
Bug#403619; Package wnpp. (Mon, 22 Jun 2009 00:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rail Aliev <rail@i-rs.ru>. (Mon, 22 Jun 2009 00:00:02 GMT) Full text and rfc822 format available.

Message #118 received at 403619@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Rail Aliev <rail@i-rs.ru>
Cc: 403619@bugs.debian.org
Subject: Re: ITP: languagetool -- rule-based language checker
Date: Mon, 22 Jun 2009 01:58:11 +0200
Hi,

Rail Aliev wrote:
> Currently I use "openoffice.org-languagetool" for binary package
> name. Is this name suitable or should I use plain "languagetool"?

Both :) Actually, you should create a multi-binary package.

Just the OOo extension should be named openoffice.org-languagetool.
AFAIR there's also a standalone Java app, that should be in languagetool.

See e.g. the writer2latex source package for inspiration.

Please also do not forget to patch out any bundling of jars into the oxt
and just depend on the libs used from openoffice.org-languagetool
(and for languagetool anyway)

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#403619; Package wnpp. (Mon, 22 Jun 2009 00:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rail Aliev <rail@i-rs.ru>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 22 Jun 2009 00:18:02 GMT) Full text and rfc822 format available.

Message #123 received at 403619@bugs.debian.org (full text, mbox):

From: Rail Aliev <rail@i-rs.ru>
To: Rene Engelhard <rene@debian.org>
Cc: 403619@bugs.debian.org
Subject: Re: ITP: languagetool -- rule-based language checker
Date: Mon, 22 Jun 2009 04:14:50 +0400
>>>>> "RE" == Rene Engelhard <rene@debian.org> writes:

  RE> Hi,
  RE> Rail Aliev wrote:
  >> Currently I use "openoffice.org-languagetool" for binary package
  >> name. Is this name suitable or should I use plain "languagetool"?

  RE> Both :) Actually, you should create a multi-binary package.

  RE> Just the OOo extension should be named openoffice.org-languagetool.
  RE> AFAIR there's also a standalone Java app, that should be in
  RE> languagetool.

Hmm. Good to know. OOo extension is ready, need to investigate how
standlaone version works.

  RE> See e.g. the writer2latex source package for inspiration.

  RE> Please also do not forget to patch out any bundling of jars into the oxt
  RE> and just depend on the libs used from openoffice.org-languagetool
  RE> (and for languagetool anyway)

Already done ;)
See http://bzr.debian.org/users/rail-guest/languagetool/ for packaging
and http://alioth.debian.org/~rail-guest/languagetool/ for ready
packages.

-- 
Best regars,
Rail Aliev




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rail Aliev <rail@i-rs.ru>:
Bug#403619; Package wnpp. (Thu, 06 Aug 2009 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rail Aliev <rail@i-rs.ru>. (Thu, 06 Aug 2009 12:15:03 GMT) Full text and rfc822 format available.

Message #128 received at 403619@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Rail Aliev <rail@i-rs.ru>
Cc: 403619@bugs.debian.org
Subject: [pmladek@suse.cz: License of Languagetool libs]
Date: Thu, 6 Aug 2009 14:11:45 +0200
----- Forwarded message from Petr Mladek <pmladek@suse.cz> -----

To: Daniel Naber <naber@danielnaber.de>
Subject: License of Languagetool libs
Cc: Rene Engelhard <rene@debian.org>
From: Petr Mladek <pmladek@suse.cz>
Date: Wed, 5 Aug 2009 20:04:19 +0200

(I am sorry for sending this once again. It seems that 
milek_pl@users.sourceforge.net is not a valid E-mail address. I rather use 
the other Daniel's address. Also I pasted the message at
http://marcinmilkowski.pl/en/Contact/)

Hi,

I wanted to update the OpenOffice_org-Languagetool package for openSUSE to the 
version 0.9.9. Unfortunately, it includes new jar files with strange lincese.
Could you please help me to resolve the troubles?

I added Rene into CC because he is solving similar problems for Debian, see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=403619


activation.jar:
===============

Includes LICENSE.txt that mentions CDDL, Version 1.0. This license requires 
distribution of the source code:

--- cut ---
3. Distribution Obligations.

3.1. Availability of Source Code.

Any Covered Software that You distribute or otherwise make available in 
Executable form must also be made available in Source Code form and that 
Source Code form must be distributed only under the terms of this License. 
You must include a copy of this License with every copy of the Source Code 
form of the Covered Software You distribute or otherwise make available. You 
must inform recipients of any such Covered Software in Executable form as to 
how they can obtain such Covered Software in Source Code form in a reasonable 
manner on or through a medium customarily used for software exchange.
--- cut ---

I think that important is the last part: "in a reasonable manner on or through 
a medium customarily used for software exchange"

=> you distribute the software via internet => it might be enough to mention 
the link to the sources. We might want to distribute it with openSUSE on DVD 
=> we would need to bundle it into the source package.

Do you know where to get the source?

It seems to be a jar provided by Sun. I searched it there and found 
https://cds.sun.com/is-bin/INTERSHOP.enfinity/WFS/CDS-CDS_Developer-Site/en_US/-/USD/ViewProductDetail-Start?RegistrationDomain=CDS-CDS_Developer-Anonymous&LicenseUUID=mtrACUFBzm4AAAEYkcI5AXh_&cnum=&ProductID=nb3ACUFBmWMAAAEYhBc5AXt.&ProductRegistration=0&evsref=&sln=&ProductUUID=nb3ACUFBmWMAAAEYhBc5AXt.&ProductUUID=nb3ACUFBmWMAAAEYhBc5AXt.&ProductUUID=nb3ACUFBmWMAAAEYhBc5AXt.&LoginForm_Login=Continue+»
Unfortunately, it is under another license that looks strange as well.


bliki-3.0.3.jar
===============

I expect that it comes from http://matheclipse.org/en/Bliki_in_a_JAR => it is 
under GPL => sources must be available as well (similar approach like with 
CDDL). Unfortunately, I haven't found them for the version 3.0.3


jaxb-api.jar:
=============

jaxb-api.jar includes LICENSE.txt that mentions CDDL, Version 1.0 => sources 
must be available.

I have found something similar at https://jaxb.dev.java.net/.

The MANIFEST.MF file mentions version 2.1. The above page offers 2.1.12 => the 
minor version is unclear. Well, I am afraid that you use different build at 
all.


jaxb-impl.jar
=============

Not many information included. I expect that it commens from the same sources 
like jaxb-api.jar but ...


jsr173_1.0_api.jar:
===================

I expect that it commes from https://sjsxp.dev.java.net/ => it is under CDDL 
or GPL => the sources must be available on the same medium


loomchild-util-1.3.6.jar, segment-1.1.20.jar:
=============================================

I expect that these two are covered by the included segment-license.txt


----------

I am sorry that I bother you. I love your software and would like to make it 
available for our users.

Thanks in advance.

-- 
Best Regards,

Petr Mladek
software developer
---------------------------------------------------------------------  
SUSE LINUX, s. r. o.                        e-mail: pmladek@suse.cz
Lihovarská 1060/12                          tel: +420 284 028 952
190 00 Prague 9                             fax: +420 284 028 951
Czech Republic                              http://www.suse.cz/

----- End forwarded message -----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rail Aliev <rail@i-rs.ru>:
Bug#403619; Package wnpp. (Thu, 06 Aug 2009 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rail Aliev <rail@i-rs.ru>. (Thu, 06 Aug 2009 12:15:04 GMT) Full text and rfc822 format available.

Message #133 received at 403619@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Rail Aliev <rail@i-rs.ru>
Cc: 403619@bugs.debian.org
Subject: [pmladek@suse.cz: Fwd: Re: Marcin Miłkowski: License of Languagetool libs]
Date: Thu, 6 Aug 2009 14:12:05 +0200
----- Forwarded message from Petr Mladek <pmladek@suse.cz> -----

From: Petr Mladek <pmladek@suse.cz>
To: Daniel Naber <naber@danielnaber.de>, Rene Engelhard <rene@debian.org>
Subject: Fwd: Re: Marcin Miłkowski: License of Languagetool libs
Date: Wed, 5 Aug 2009 21:17:26 +0200
User-Agent: KMail/1.9.10

Hi,

JFYI, Marcin has just answered it, see the attached mail.


-- 
Best Regards,

Petr Mladek
software developer
---------------------------------------------------------------------  
SUSE LINUX, s. r. o.                        e-mail: pmladek@suse.cz
Lihovarská 1060/12                          tel: +420 284 028 952
190 00 Prague 9                             fax: +420 284 028 951
Czech Republic                              http://www.suse.cz/

Content-Description: Marcin Miłkowski <marcin.milkowski@gmail.com>: Re: Marcin Miłkowski: License of Languagetool libs
Date: Wed, 05 Aug 2009 20:41:10 +0200
From: Marcin Miłkowski <marcin.milkowski@gmail.com>
User-Agent: Thunderbird 2.0.0.22 (Windows/20090605)
To: Petr Mladek <pmladek@suse.cz>
Subject: Re: Marcin Miłkowski: License of Languagetool libs

Petr Mladek pisze:
> This is an enquiry e-mail via http://marcinmilkowski.pl from: Petr
> Mladek <pmladek@suse.cz>
>
> Hello Marcin,
>
> I have sent the bellow message also to "Daniel Naber"  and "Rene
> Engelhard" .
>
> Unfortunately, I was not able to find your E-mail address. It seems
> that milek_pl@users.sourceforge.net is not valid.

It is blocked to the number of spam mails I get.

> The lincese-related discussion is usually sensitive, so I did not
> want to solve it publicly in the bug tracker.
>
> I wanted to update the OpenOffice_org-anguagetool package for
> openSUSE to the version 0.9.9. Unfortunately, it includes new jar
> files with trange lincese.
>
> Could you please help me to resolve the troubles?

I'll help.

>
> I added Rene into CC because he is solving similar problems for
> Debian, see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=403619
>
>
> activation.jar: ===============
>
> Includes LICENSE.txt that mentions CDDL, Version 1.0. This license
> requires distribution of the source code:
>
> --- cut --- 3. Distribution Obligations.
>
> 3.1. Availability of Source Code.
>
> Any Covered Software that You distribute or otherwise make available
> in Executable form must also be made available in Source Code form
> and that Source Code form must be distributed only under the terms of
> this License. You must include a copy of this License with every copy
> of the Source Code form of the Covered Software You distribute or
> otherwise make available. You must inform recipients of any such
> Covered Software in Executable form as to how they can obtain such
> Covered Software in Source Code form in a reasonable manner on or
> through a medium customarily used for software exchange. --- cut ---
>
> I think that important is the last part: "in a reasonable manner on
> or through a medium customarily used for software exchange"
>
> => you distribute the software via internet => it might be enough to
> mention the link to the sources. We might want to distribute it with
> openSUSE on DVD => we would need to bundle it into the source
> package.
>
> Do you know where to get the source?
>
> It seems to be a jar provided by Sun. I searched it there and found  
> https://cds.sun.com/is-bin/INTERSHOP.enfinity/WFS/CDS-CDS_Developer-Site/en_US/-/USD/ViewProductDetail-Start?RegistrationDomain=CDS-CDS_Developer-Anonymous&LicenseUUID=mtrACUFBzm4AAAEYkcI5AXh_&cnum=&ProductID=nb3ACUFBmWMAAAEYhBc5AXt.&ProductRegistration=0&evsref=&sln=&ProductUUID=nb3ACUFBmWMAAAEYhBc5AXt.&ProductUUID=nb3ACUFBmWMAAAEYhBc5AXt.&ProductUUID=nb3ACUFBmWMAAAEYhBc5AXt.&LoginForm_Login=Continue+ť
>  Unfortunately, it is under another license that looks strange as
> well.

Yes, this is a Sun library. It is included in JDK 6 but we want to have  
backwards compatibility for Mac OS X that doesn't have any decent Java 5. I 
think it is already on LGPL in OpenJDK (as part of JAXB), so it's just a 
matter of getting the activation.jar from the OpenJDK (or building it using 
OpenJDK sources). I would simply put a link to OpenJDK or to JAXB, as the 
sources are widely available, and distributing them along LT make little 
sense.

>
> bliki-3.0.3.jar ===============
>
> I expect that it comes from http://matheclipse.org/en/Bliki_in_a_JAR
> => it is under GPL => sources must be available as well (similar
> approach like with CDDL). Unfortunately, I haven't found them for the
> version 3.0.3

This is not distributed with LT. It's just needed to build experimental  
code (under /dev) and to run community website. Don't bother with it.

>
> jaxb-api.jar: =============
>
> jaxb-api.jar includes LICENSE.txt that mentions CDDL, Version 1.0 =>
> sources must be available.
>
> I have found something similar at https://jaxb.dev.java.net/.
>
> The MANIFEST.MF file mentions version 2.1. The above page offers
> 2.1.12 => the minor version is unclear. Well, I am afraid that you
> use different build at all.

I use JAXB from Java 6, this is only for backwards compatibility. Get a  
jar from OpenJDK if you care about clear licences.

>
> jaxb-impl.jar =============
>
> Not many information included. I expect that it commens from the same
> sources like jaxb-api.jar but ...

The same applies. It's JAXB and OpenJDK should contain that.

>
> jsr173_1.0_api.jar: ===================
>
> I expect that it commes from https://sjsxp.dev.java.net/ => it is
> under CDDL or GPL => the sources must be available on the same medium

The same applies. This is used to support JAXB. Part of Java 6.


>
>
> loomchild-util-1.3.6.jar, segment-1.1.20.jar:  
> =============================================
>
> I expect that these two are covered by the included
> segment-license.txt

Yes, and loomchild-util was already removed from our source tree as it  
introduced some confusion among Ubuntu (?) packagers.

> I am sorry that I bother you. I love your software and would like to
> make it available for our users.

:) Thanks for asking and for investigating the licensing issues. I hate  
reviewing licenses :/

Marcin

> Thanks in advance.
>
>
>
> ------------------------------------------------------------------------
>
>
>
> Nie znaleziono wirusa w tej wiadomości przychodzącej. Sprawdzone
> przez AVG - www.avg.com Wersja: 8.5.406 / Baza danych wirusów:
> 270.13.44/2283 - Data wydania: 08/05/09 05:57:00
>


-- 
Polecam LanguageTool - bezpłatne narzędzie do korekty tekstu do
OpenOffice.org 3.0
http://www.languagetool.org/


----- End forwarded message -----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#403619; Package wnpp. (Thu, 06 Aug 2009 12:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rail Aliev <rail@i-rs.ru>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 06 Aug 2009 12:57:02 GMT) Full text and rfc822 format available.

Message #138 received at 403619@bugs.debian.org (full text, mbox):

From: Rail Aliev <rail@i-rs.ru>
To: Rene Engelhard <rene@debian.org>
Cc: 403619@bugs.debian.org
Subject: Re: Bug#403619: [pmladek@suse.cz: Fwd: Re: Marcin Miłkowski: License of Languagetool libs]
Date: Thu, 06 Aug 2009 16:52:44 +0400
>>>>> "RE" == Rene Engelhard <rene@debian.org> writes:

  RE> JFYI, Marcin has just answered it, see the attached mail.

Thanks for the information.

AFAIR, most of that issues are not applicable for the package we
have because we use openjdk.

  >> activation.jar: ===============
  >> bliki-3.0.3.jar ===============
  >> jaxb-api.jar: =============
  >> jaxb-impl.jar =============
  >> jsr173_1.0_api.jar: ===================

OpenJDK has these libraries.

  >> loomchild-util-1.3.6.jar, segment-1.1.20.jar:  
  
  RE> Yes, and loomchild-util was already removed from our source tree as it  
  RE> introduced some confusion among Ubuntu (?) packagers.
  
  Segment 1.2.2~svn44 doesn't use loomchild-util at all.

-- 
Best regars,
 Rail Aliev




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 14 Aug 2009 08:06:05 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 403619: 533879 Request was from rene@rene-engelhard.de (Rene Engelhard) to control@bugs.debian.org. (Wed, 25 Nov 2009 18:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rail Aliev <rail@i-rs.ru>:
Bug#403619; Package wnpp. (Mon, 06 Dec 2010 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rail Aliev <rail@i-rs.ru>. (Mon, 06 Dec 2010 14:27:03 GMT) Full text and rfc822 format available.

Message #147 received at 403619@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Rail Aliev <rail@i-rs.ru>, 403619@bugs.debian.org
Cc: Kurt Roeckx <kurt@roeckx.be>
Subject: LanguageTool status?
Date: Mon, 6 Dec 2010 15:23:11 +0100
Hi,

is there any status on the LanguageTool ITP? My last information
was  that it was possible to build the dicts which are binary-only
in the tree but with much work.

I ask because LibreOffice includes LT per default[1] (yes, not caring
about those issues and/or the binary-only jars - I removed it from the
Debian source) and us not shipping it would be a "regression" from the
upstream LibreOffice version...

Grüße/Regards,

René

[1]
rene@frodo:~/LibO_3.3.0rc1_Linux_x86-64_install-deb_en-US/DEBS$ ls -la *ext*
-rw-r--r-- 1 rene rene 15665122  3. Dez 10:37 libobasis3.3-extension-languagetool_3.3.0-17_amd64.deb
-rw-r--r-- 1 rene rene  3433834  3. Dez 10:41 libobasis3.3-extension-mediawiki-publisher_3.3.0-17_amd64.deb
-rw-r--r-- 1 rene rene    74988  3. Dez 10:38 libobasis3.3-extension-nlpsolver_3.3.0-17_amd64.deb
-rw-r--r-- 1 rene rene 12678830  3. Dez 10:45 libobasis3.3-extension-pdf-import_3.3.0-17_amd64.deb
-rw-r--r-- 1 rene rene 12077168  3. Dez 10:48 libobasis3.3-extension-presentation-minimizer_3.3.0-17_amd64.deb
-rw-r--r-- 1 rene rene   472070  3. Dez 10:40 libobasis3.3-extension-presenter-screen_3.3.0-17_amd64.deb
-rw-r--r-- 1 rene rene 13714906  3. Dez 10:48 libobasis3.3-extension-report-builder_3.3.0-17_amd64.deb




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rail Aliev <rail@i-rs.ru>:
Bug#403619; Package wnpp. (Tue, 04 Jan 2011 23:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rail Aliev <rail@i-rs.ru>. (Tue, 04 Jan 2011 23:00:03 GMT) Full text and rfc822 format available.

Message #152 received at 403619@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Rene Engelhard <rene@debian.org>, 403619@bugs.debian.org
Cc: Rail Aliev <rail@i-rs.ru>
Subject: Re: Bug#403619: LanguageTool status?
Date: Tue, 4 Jan 2011 23:57:42 +0100
On Mon, Dec 06, 2010 at 03:23:11PM +0100, Rene Engelhard wrote:
> Hi,
> 
> is there any status on the LanguageTool ITP? My last information
> was  that it was possible to build the dicts which are binary-only
> in the tree but with much work.
> 
> I ask because LibreOffice includes LT per default[1] (yes, not caring
> about those issues and/or the binary-only jars - I removed it from the
> Debian source) and us not shipping it would be a "regression" from the
> upstream LibreOffice version...

So the version currently in experimental doesn't contain
LanguageTool?


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rail Aliev <rail@i-rs.ru>:
Bug#403619; Package wnpp. (Wed, 05 Jan 2011 04:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rail Aliev <rail@i-rs.ru>. (Wed, 05 Jan 2011 04:18:06 GMT) Full text and rfc822 format available.

Message #157 received at 403619@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 403619@bugs.debian.org, Rail Aliev <rail@i-rs.ru>
Subject: Re: Bug#403619: LanguageTool status?
Date: Wed, 5 Jan 2011 05:11:30 +0100
On Tue, Jan 04, 2011 at 11:57:42PM +0100, Kurt Roeckx wrote:
> So the version currently in experimental doesn't contain
> LanguageTool?

Yes.

Grüße/Regards,

René




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rail Aliev <rail@i-rs.ru>:
Bug#403619; Package wnpp. (Sat, 08 Jan 2011 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rail Aliev <rail@i-rs.ru>. (Sat, 08 Jan 2011 15:51:03 GMT) Full text and rfc822 format available.

Message #162 received at 403619@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 403619@bugs.debian.org, Rail Aliev <rail@i-rs.ru>
Subject: Re: Bug#403619: LanguageTool status?
Date: Sat, 8 Jan 2011 16:47:23 +0100
Hi again,

On Tue, Jan 04, 2011 at 11:57:42PM +0100, Kurt Roeckx wrote:
> On Mon, Dec 06, 2010 at 03:23:11PM +0100, Rene Engelhard wrote:
> > Hi,
> > 
> > is there any status on the LanguageTool ITP? My last information
> > was  that it was possible to build the dicts which are binary-only
> > in the tree but with much work.
> > 
> > I ask because LibreOffice includes LT per default[1] (yes, not caring
> > about those issues and/or the binary-only jars - I removed it from the
> > Debian source) and us not shipping it would be a "regression" from the
> > upstream LibreOffice version...
> 
> So the version currently in experimental doesn't contain
> LanguageTool?

BTW, even if it did, it'd be in it's own package libreoffice-languagetool.
(As it's upstream, too, and as it's the case with nlpsolver and the other
OOo-inherited extensions, too), so the lack of that package means that
there's no LT anywhere in Debian yet, yes...

Grüße/Regards,

René




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rail Aliev <rail@i-rs.ru>:
Bug#403619; Package wnpp. (Sat, 15 Jan 2011 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rail Aliev <rail@i-rs.ru>. (Sat, 15 Jan 2011 17:45:04 GMT) Full text and rfc822 format available.

Message #167 received at 403619@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>, 403619@bugs.debian.org
Cc: Rail Aliev <rail@i-rs.ru>
Subject: Re: Bug#403619: LanguageTool status?
Date: Sat, 15 Jan 2011 18:41:15 +0100
Hi,

On Tue, Jan 04, 2011 at 11:57:42PM +0100, Kurt Roeckx wrote:
> > I ask because LibreOffice includes LT per default[1] (yes, not caring

Deoesn't anymore since rc2, fwiw

> > about those issues and/or the binary-only jars - I removed it from the
> > Debian source) and us not shipping it would be a "regression" from the
> > upstream LibreOffice version...
> 
> So the version currently in experimental doesn't contain
> LanguageTool?

Still (obviously) true :) Nevertheless, having LT packaged would be nice...

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: D03E3E70
   `-   Fingerprint: E12D EA46 7506 70CF A960 801D 0AA0 4571 D03E 3E70




Added indication that bug 403619 blocks 630492 Request was from Tiago Saboga <tiagosaboga@gmail.com> to control@bugs.debian.org. (Tue, 14 Jun 2011 13:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, Rail Aliev <rail@i-rs.ru>:
Bug#403619; Package wnpp. (Tue, 14 Jun 2011 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tiago Saboga <tiagosaboga@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, Rail Aliev <rail@i-rs.ru>. (Tue, 14 Jun 2011 22:57:03 GMT) Full text and rfc822 format available.

Message #174 received at 403619@bugs.debian.org (full text, mbox):

From: Tiago Saboga <tiagosaboga@gmail.com>
To: Debian Bug Tracking System <403619@bugs.debian.org>
Subject: Re: languagetool -- rule-based language checker
Date: Tue, 14 Jun 2011 19:52:37 -0300
Package: wnpp
Followup-For: Bug #403619

Hi!

May I ask if there are some news here?

I want to package omegat-plugins and it depends on languagetool. I've
prepared a simple package for it, in order to really see what the
license problems are, and it's available at [1]. If it's OK for
everybody, I would continue work on it on the next few days, pulling
in bits from [2]
as the bzr link referred above seems dead now.

It seems to me it would be important if we had fsa programs packaged
in debian; this way, IMHO, we would not have to rebuild all *dict
files, as their text-only versions (preferred form of modification)
are only one command-line far. I've also started working on it,
sources are at [3].

I've put my name on the maintainers field, as I had nothing better to
do ;) In fact, I'd rather help on a collaborative packaging than
getting it as my packages.

Tiago Saboga.

[1] - git+ssh://git.debian.org/~tiagosab-guest/public_git/languagetool.git
[2] - http://alioth.debian.org/~rail-guest/languagetool/languagetool_1.0.0-1.diff.gz,
[3] - git+ssh://git.debian.org/~tiagosab-guest/public_git/fsa.git




Bug 630492 cloned as bug 636625. Request was from Tiago Saboga <tiagosaboga@gmail.com> to control@bugs.debian.org. (Thu, 04 Aug 2011 17:48:09 GMT) Full text and rfc822 format available.

Removed indication that bug 403619 blocks 630492 Request was from Tiago Saboga <tiagosaboga@gmail.com> to control@bugs.debian.org. (Thu, 04 Aug 2011 17:48:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rail Aliev <rail@i-rs.ru>:
Bug#403619; Package wnpp. (Fri, 11 May 2012 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Miłkowski <milek_pl@o2.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rail Aliev <rail@i-rs.ru>. (Fri, 11 May 2012 20:00:03 GMT) Full text and rfc822 format available.

Message #183 received at 403619@bugs.debian.org (full text, mbox):

From: Marcin Miłkowski <milek_pl@o2.pl>
To: 403619@bugs.debian.org
Subject: Re: languagetool -- rule-based language checker
Date: Fri, 11 May 2012 21:56:00 +0200
Hi all,

regarding fsa programs: we no longer need them for unpacking the 
dictionary sources, as the morfologik-stemming library does it (if you 
supply it with Apache commons-cli.jar, which is not a part of LT 
distribution).

See here for the info on how to unpack the dicts:

http://languagetool.wikidot.com/developing-a-tagger-dictionary

Regards,
Marcin




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rail Aliev <rail@i-rs.ru>:
Bug#403619; Package wnpp. (Sun, 13 May 2012 14:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Naber <naber@danielnaber.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rail Aliev <rail@i-rs.ru>. (Sun, 13 May 2012 14:42:08 GMT) Full text and rfc822 format available.

Message #188 received at 403619@bugs.debian.org (full text, mbox):

From: Daniel Naber <naber@danielnaber.de>
To: 403619@bugs.debian.org
Subject: Re: languagetool -- rule-based language checker
Date: Sun, 13 May 2012 16:35:36 +0200
This is an overview of LanguageTool's runtime dependencies.

Lib exists in Debian in the version LT needs it:

  libcommons-lang-java 2.4
  libcommons-logging-java 1.1.1
  libcommons-validator-java 1.3.1

Lib exists but is not up-to-date (I checked 'unstable'):

  libsegment-java 1.3.5, LT needs 1.3.0 and LT 1.8 will need 1.3.8
  libjwordsplitter-java 3.0, LT needs 3.3
  libmorfologik-stemming-java 1.2.2, LT needs morfologik-fsa-1.5.2 and
     morfologik-stemming-1.5.2 (the lib has been split up)

Libs that I did not find in Debian and that we require:

  tika-core-0.9.jar from http://tika.apache.org/, Apache License 2.0

Libs that I did not find in Debian but that are only required for Chinese so 
I think we could do without for now:

  ictclas4j-1.0.jar from http://code.google.com/p/ictclas4j/, 
    Apache License 2.0
  CJFtransform_v1.0.1_bin.jar from http://code.google.com/p/cjftransform/,
     Apache License 2.0 

The internal dictionaries we use are huge when saved as text files (e.g. 
200MB for German alone). Thus we compress them as a finite-state automaton 
with the morfologik-stemming project, which yields a 10 time better 
compression than bzip2 (tested with the German dictionary). We 
describe how to dump the dictionaries to plain text at the URL that Marcin 
has posted.

The question is, what can we do now to help the process of getting LT into 
Debian?

Regards
 Daniel

-- 
http://www.danielnaber.de




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rail Aliev <rail@i-rs.ru>:
Bug#403619; Package wnpp. (Tue, 15 May 2012 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rail Aliev <rail@i-rs.ru>. (Tue, 15 May 2012 14:21:03 GMT) Full text and rfc822 format available.

Message #193 received at 403619@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Daniel Naber <naber@danielnaber.de>, 403619@bugs.debian.org
Subject: Re: Bug#403619: languagetool -- rule-based language checker
Date: Tue, 15 May 2012 16:08:51 +0200
On Sun, May 13, 2012 at 04:35:36PM +0200, Daniel Naber wrote:
> Lib exists but is not up-to-date (I checked 'unstable'):
> 
>   libsegment-java 1.3.5, LT needs 1.3.0 and LT 1.8 will need 1.3.8
>   libjwordsplitter-java 3.0, LT needs 3.3
>   libmorfologik-stemming-java 1.2.2, LT needs morfologik-fsa-1.5.2 and
>      morfologik-stemming-1.5.2 (the lib has been split up)
> 
> Libs that I did not find in Debian and that we require:
> 
>   tika-core-0.9.jar from http://tika.apache.org/, Apache License 2.0

Don't forget dependencies of dependencies :)

> Libs that I did not find in Debian but that are only required for Chinese so 
> I think we could do without for now:
> 
>   ictclas4j-1.0.jar from http://code.google.com/p/ictclas4j/, 
>     Apache License 2.0
>   CJFtransform_v1.0.1_bin.jar from http://code.google.com/p/cjftransform/,
>      Apache License 2.0 

I'd "cripple" it only as last resort but first trying to package those.

> The internal dictionaries we use are huge when saved as text files (e.g. 
> 200MB for German alone). Thus we compress them as a finite-state automaton 
> with the morfologik-stemming project, which yields a 10 time better 
> compression than bzip2 (tested with the German dictionary). We 
> describe how to dump the dictionaries to plain text at the URL that Marcin 
> has posted.

And how do you - which is the point after you did changes - create them (again)?
Is that also documented? Best would be some make-like thingy.

> The question is, what can we do now to help the process of getting LT into 
> Debian?

Get all the packages updated and make the dictionaries be built during the package
build (see above).

And then someone needs to do the package and maintain it :-)

(And note not all architectures in Debian do have a Java 6[1] and you
sttill can choose gcj is you wish on the others, so you need to prevent
LT from trying to do something if LO is configured to use gcj)

Regards,

Rene

[1] kfreebsd-* only has gcj. No openjdk there.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rail Aliev <rail@i-rs.ru>:
Bug#403619; Package wnpp. (Mon, 27 May 2013 13:32:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rail Aliev <rail@i-rs.ru>. (Mon, 27 May 2013 13:32:10 GMT) Full text and rfc822 format available.

Message #198 received at 403619@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 403619@bugs.debian.org
Cc: control@bugs.debian.org
Subject: languagetool: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:20 +0200
retitle 403619 RFP: languagetool -- rule-based language checker
noowner 403619
tag 403619 - pending
thanks

Hi,

This is an automatic email to change the status of languagetool back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting languagetool, please send a mail to
<control@bugs.debian.org> with:

 retitle 403619 ITP: languagetool -- rule-based language checker
 owner 403619 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <403619@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: languagetool -- rule-based language checker' from 'ITP: languagetool -- rule-based language checker' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:06:00 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Rail Aliev <rail@i-rs.ru>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:06:00 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:06:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:56:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.